	Integer Function Check_Identifier (identifier, uic)

C   Check to see if the 'uic' has the identifier 'identifier'.  Return
C   .true. if he has, and an error code if he hasn't

	Implicit	None
	Include		'($SSDEF)'
	Character *(*)	identifier
	Integer		uic, ident, test_ident, ok, context, holder (2)
	Integer		Sys$Asctoid, Sys$Find_Held

C   Convert identifier to numeric form.

	ok = Sys$Asctoid (identifier, test_ident,)

	If (.not. ok) then
		Check_Identifier = ok
		Return
	End If

C   Set up the user descriptor

	holder (1) = uic
	holder (2) = 0

C   Step through the identifiers held by this user.

	context = 0
	ok = Sys$Find_Held (holder, ident,, context)

	Do While (ok)
		If (ident .eq. test_ident) then
			Check_Identifier = .true.
			Return
		End If

		ok = Sys$Find_Held (holder, ident,, context)
	End do

C   We've run out of identifiers

	Check_Identifier = SS$_Nopriv
	End
