	Integer Function Check_Old_Password (user, enc_pass, salt,
     &					     algorithm, password)

C   Check the 'password' string to see if it is the same as the encrypted
C   one he has already.

	Implicit	None
	Character *(*)	user, password
	Integer		salt, algorithm, test_enc (2), enc_pass (2), dict
	Integer		ok, Sys$Hash_Password

C   Hash the new password

	ok = Sys$Hash_Password (password, algorithm, salt, user, test_enc)

C   If we can't hash, fail safe

	If (.not. ok) go to 100

C   Compare

	ok = enc_pass (1) .eq. test_enc (1) .and.
     &			enc_pass (2) .eq. test_enc (2)

C   Return result

100	Check_Old_Password = ok
	End
